Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class Named.Namer

    java.lang.Object
      org.gradle.api.Named.Namer

All Implemented Interfaces:
  Namer

    public static class Named.Namer

An implementation of the namer interface for objects implementing the named interface.

Method Summary
`String` | `determineName(Named object)`
`static Namer` | `forType(Class type)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### determineName

    public String determineName(Named object)

### forType

    public static Namer forType(Class type)

Gradle API 1.10